Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.operator
Class PrepareForYale

    java.lang.Object
      edu.udo.cs.miningmart.operator.ExecutableOperator
          edu.udo.cs.miningmart.operator.PrepareForYale

public class PrepareForYale
extends ExecutableOperator

This operator creates a YALE experiment file (XML) to ease the combination of MiningMart preprocessing and YALE learning. The YALE experiment created by this operator will contain a single YALE operator, an instance of DatabaseExampleSource, which reads the data for subsequent YALE operations from the Columnset specified by the InputConcept of this operator. If the InputConcept is connected to more than one Columnset, the YALE experiment chain will include an ExampleSetIterator which runs the YALE experiment for each input, ie here for the data of each Columnset.

Version:
  $Id: PrepareForYale.java,v 1.7 2006/04/11 14:10:10 euler Exp $
Author:
  Timm Euler

Field Summary

Fields inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`generatedSQLDefinitions`

Constructor Summary
`PrepareForYale()`

Method Summary
`void` | `compileStatement()` Empty method in this operator.
`void` | `createStatement(boolean lazy)` Creates XML output that can be read by the YALE software.
`EstimatedStatistics` | `estimateStatistics(Step theStep)` Abstract method for estimating statistics for a concept.
`void` | `execute(boolean lazy)` This method is overridden in order to switch off multiple runs of the operator due to multistep support in the compiler's control structure.

Methods inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`autoPrint, checkConditions, doPrint, doPrint, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getArtificalColumnName, getBusinessDbms, getHighestLoopNr, getM4Db, getM4Dbms, getM4ObjectFromCache, getName, getNextM4SequenceValue, getNumberOfLoops, getOperator, getOpParamsIterator, getParameter, getParameter, getSingleParameter, getSingleParameter, getStep, handleAssertions, isDeselectedParameter, isLoopable, isManual, isStepable, load, print, putM4ObjectToCache, showCreateStatement, storedProceduresAvailable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrepareForYale

    public PrepareForYale()

Method Detail

### createStatement

    public void createStatement(boolean lazy)
                         throws java.sql.SQLException,
                                M4CompilerError

  Creates XML output that can be read by the YALE software.

  Specified by:
    `createStatement` in class `ExecutableOperator`
  Parameters:
    `lazy` - If TRUE, run in lazy mode: create atmost one output ColumnSet
  Throws:
    `java.sql.SQLException`
    `M4CompilerError`
  See Also:
    `miningmart.compiler.operator.ExecutableOperator#createStatement(boolean)`

### execute

    public void execute(boolean lazy)
                 throws UserError,
                        M4CompilerWarning,
                        M4CompilerError,
                        M4Exception,
                        java.sql.SQLException

  This method is overridden in order to switch off multiple runs of the operator due to multistep support in the compiler's control structure. You should not change this part, unless you know what you are doing!

  Overrides:
    `execute` in class `ExecutableOperator`
  Parameters:
    `lazy` - If TRUE, run the operator in lazy mode
  Returns:
    errorCode
  Throws:
    `UserError`
    `M4CompilerError`
    `java.sql.SQLException`
    `M4Exception`
    `M4CompilerWarning`
  See Also:
    `edu.udo.cs.miningmart.m4.core.operator.Operator#execute(boolean)`

### compileStatement

    public void compileStatement()
                          throws java.sql.SQLException,
                                 M4CompilerError

  Empty method in this operator.

  Specified by:
    `compileStatement` in class `ExecutableOperator`
  Throws:
    `java.sql.SQLException`
    `M4CompilerError`
  See Also:
    `miningmart.compiler.operator.ExecutableOperator#compileStatement()`

### estimateStatistics

    public EstimatedStatistics estimateStatistics(Step theStep)
                                           throws M4Exception

  Description copied from class: `ExecutableOperator`
  Abstract method for estimating statistics for a concept. The realisation of this method depends on the type of operator that is connected to the step that creates the concept whose statistics are to be estimated. Therefore the implementation is done in this class and its subclasses.

  Specified by:
    `estimateStatistics` in class `ExecutableOperator`
  Parameters:
    `theStep` - the step that creates the output concept whose statistics are to be estimated
  Returns:
    an `EstimatedStatistics` object, some of whose values may or may not be available, depending on whether they could be guessed or inferred.
  Throws:
    `M4Exception`
  See Also:
    `ExecutableOperator.estimateStatistics(Step)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005